do

redIADS = SkynetIADS:create('RUS')

redIADS:addSAMSitesByPrefix('SAM')
redIADS:addEarlyWarningRadarsByPrefix('EW')
redIADS:addEarlyWarningRadar('AWACS-A50')

local commandCenter = StaticObject.getByName("Command_Center")
local comPowerSource = StaticObject.getByName("CC_Power-Supply")
redIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

redIADS:getSAMSiteByGroupName('SAM -SA10 Krymsk'):setActAsEW(true)

local PDWest = redIADS:getSAMSiteByGroupName('SAM -SA15 Krymsk PD')
redIADS:getSAMSiteByGroupName('SAM -SA10 Krymsk'):addPointDefence(PDWest):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local PDMaycop = redIADS:getSAMSiteByGroupName('SAM -SA15(Maycop)')
redIADS:getEarlyWarningRadarByUnitName('EW -Maycop'):addPointDefence(PDMaycop):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local PDEast = redIADS:getSAMSiteByGroupName('SAM -SA15PD East')
redIADS:getEarlyWarningRadarByUnitName('EW -East'):addPointDefence(PDEast):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

local PDSouth = redIADS:getSAMSiteByGroupName('SAM -SA15PD South')
redIADS:getEarlyWarningRadarByUnitName('EW -South'):addPointDefence(PDSouth):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)

redIADS:activate()


DetectionSetGroup = SET_GROUP:New()
redIADS:addMooseSetGroup(DetectionSetGroup)

Detection = DETECTION_AREAS:New(DetectionSetGroup, 100000)
A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )

A2ADispatcher:SetEngageRadius(75000)
A2ADispatcher:SetGciRadius(100000)
BorderZone = ZONE_POLYGON:New( "redborder", GROUP:FindByName( "redborder" ) )
A2ADispatcher:SetBorderZone(BorderZone )

A2ADispatcher:SetDefaultTakeoffInAir()
A2ADispatcher:SetDefaultGrouping( 2 )

A2ADispatcher:SetSquadron( "Gelend", AIRBASE.Caucasus.Gelendzhik, {"MIGS-29"}, 6)
A2ADispatcher:SetSquadron( "Krasnodar", AIRBASE.Caucasus.Krasnodar_Center, { "SU-30", "MIGS-29"}, 8)
A2ADispatcher:SetSquadron( "Maycop", AIRBASE.Caucasus.Maykop_Khanskaya, {"SU-30 Maycop"}, 4)

A2ADispatcher:SetSquadronCapInterval( "Gelend", 1, 30, 60 )
A2ADispatcher:SetSquadronCapInterval( "Krasnodar", 2, 30, 60 )

CAPWest1 = ZONE_POLYGON:New( "CAP-West1", GROUP:FindByName( "CAP-West1" ) )
A2ADispatcher:SetSquadronCap( "Gelend",CAPWest1, 6000, 9000, 700, 850, 1000, 1300 )

CAPWest2 = ZONE_POLYGON:New( "CAP-West2", GROUP:FindByName( "CAP-West2" ) )
A2ADispatcher:SetSquadronCap( "Krasnodar",CAPWest2, 6000, 9000, 700, 850, 1000, 1300 )

CAPMaycop = ZONE_POLYGON:New( "CAP-Maycop", GROUP:FindByName( "CAP-Maycop" ) )
A2ADispatcher:SetSquadronCap( "Krasnodar",CAPMaycop, 6000, 9000, 700, 850, 1000, 1300 )

A2ADispatcher:SetSquadronGci( "Maycop", 900, 1200 )

A2ADispatcher:Start()

end